WaitObjectsTracer Class Referenceabstract
Inheritance diagram for WaitObjectsTracer:

## Public Types

enum | { EVENTBASE = 0x48752841, EventNr_NoWaitLoop }

## Public Member Functions

| WaitObjectsTracer (unsigned int level=0)
virtual unsigned int | TraceNoWaitLoop () const
virtual void | TraceNoWaitLoop (std::string const &s)

## Protected Member Functions

virtual void | Trace (unsigned int n, std::string const &s)=0
| Override this in your most-derived tracer to do the actual tracing.
virtual bool | UsingDefaults () const
void | TraceIf (unsigned int n, std::string const &s)
unsigned int | Tracing (unsigned int nr, unsigned int minLevel) const

## Protected Attributes

unsigned int | m_level

## Detailed Description

Definition at line 136 of file wait.h.

## Member Function Documentation

virtual bool Tracer::UsingDefaults | ( |  | ) | const

inline protected virtual inherited

By default, tracers will decide which trace messages to trace according to a trace level mechanism. If your most-derived tracer uses a different mechanism, override this to return false. If this method returns false, the default TraceXxxx(void) methods will all return 0 and must be overridden explicitly by your tracer for trace messages you want.

Definition at line 36 of file wait.h.

unsigned int Tracer::Tracing | ( | unsigned int | nr,
|  | unsigned int | minLevel
| ) |  | const

inline protected inherited

Returns nr if, according to the default log settings mechanism (using log levels), the message should be traced. Returns 0 if the default trace level mechanism is not in use, or if it is in use but the event should not be traced. Provided as a utility method for easier and shorter coding of default TraceXxxx(void) implementations.

Definition at line 48 of file wait.h.

The documentation for this class was generated from the following file:

- wait.h